Bug 1174673 - VUL-0: openssl-certs,ca-certificates-mozilla: update to 2.42 release
VUL-0: openssl-certs,ca-certificates-mozilla: update to 2.42 release
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/264472/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-29 13:07 UTC by Marcus Meissner
Modified: 2022-04-14 15:28 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2020-07-29 13:07:19 UTC
2.42 cert store release is out:

- cert-AddTrust_External_Root:2.1.1
  CN=AddTrust External CA Root
  sha1=02:FA:F3:E2:91:43:54:68:60:78:57:69:4D:F5:E4:5B:68:85:18:68
- cert-AddTrust_Low-Value_Services_Root:2.1.1
  CN=AddTrust Class 1 CA Root
  sha1=CC:AB:0E:A0:4C:23:01:D6:69:7B:DD:37:9F:CD:12:EB:24:E3:94:9D
+ cert-certSIGN_Root_CA_G2:2.9.17.0.52.182.78.198.54.45.54
  sha1=26:F9:93:B4:ED:3D:28:27:B0:B9:4B:A7:E9:15:1D:A3:8D:92:E5:32
+ cert-e-Szigno_Root_CA_2017:2.12.1.84.72.239.33.253.151.89.13.245.4.10
  CN=e-Szigno Root CA 2017
  sha1=89:D4:83:03:4F:9E:9A:48:80:5F:72:37:D4:A9:A6:EF:CB:7C:1F:D1
- cert-LuxTrust_Global_Root_2:2.20.10.126.166.223.75.68.158.218.106.36.133.158.230.184.21.211.22.127.187.177
  CN=LuxTrust Global Root 2
  sha1=1E:0E:56:19:0A:D1:8B:25:98:B2:04:44:FF:66:8A:04:17:99:5F:3F
+ cert-Microsoft_ECC_Root_Certificate_Authority_2017:2.16.102.242.61.175.135.222.139.177.74.234.12.87.49.1.194.236
  CN=Microsoft ECC Root Certificate Authority 2017
  sha1=99:9A:64:C3:7F:F4:7D:9F:AB:95:F1:47:69:89:14:60:EE:C4:C3:C5
+ cert-Microsoft_RSA_Root_Certificate_Authority_2017:2.16.30.211.151.9.95.216.180.179.71.112.30.170.190.127.69.179
  CN=Microsoft RSA Root Certificate Authority 2017
  sha1=73:A5:E6:4A:3B:FF:83:16:FF:0E:DC:CC:61:8A:90:6E:4E:AE:4D:74
- cert-Staat_der_Nederlanden_Root_CA_-_G2:2.4.0.152.150.140
  CN=Staat der Nederlanden Root CA - G2
  sha1=59:AF:82:79:91:86:C7:B4:75:07:CB:CF:03:57:46:EB:04:DD:B7:16
- cert-Symantec_Class_1_Public_Primary_Certification_Authority_-_G4:2.16.33.110.51.165.203.211.136.164.111.41.7.180.39.60.196.216
  CN=Symantec Class 1 Public Primary Certification Authority - G4
  sha1=84:F2:E3:DD:83:13:3E:A9:1D:19:52:7F:02:D7:29:BF:C1:5F:E6:67
- cert-Symantec_Class_2_Public_Primary_Certification_Authority_-_G4:2.16.52.23.101.18.64.59.183.86.128.45.128.203.121.85.166.30
  CN=Symantec Class 2 Public Primary Certification Authority - G4
  sha1=67:24:90:2E:48:01:B0:22:96:40:10:46:B4:B1:67:2C:A9:75:FD:2B
- cert-Verisign_Class_3_Public_Primary_Certification_Authority_-_G3:2.17.0.155.126.6.73.163.62.98.185.213.238.144.72.113.41.239.87
  CN=VeriSign Class 3 Public Primary Certification Authority - G3
  sha1=13:2D:0D:45:53:4B:69:97:CD:B2:D5:C3:39:E2:55:76:60:9B:5C:C6
Comment 1 OBSbugzilla Bot 2020-07-29 14:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1174673) was mentioned in
https://build.opensuse.org/request/show/823414 Factory / ca-certificates-mozilla
Comment 4 Swamp Workflow Management 2020-08-06 16:28:29 UTC
SUSE-RU-2020:2148-1: An update that has one recommended fix can now be installed.

Category: recommended (important)
Bug References: 1174673
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    ca-certificates-mozilla-2.42-9.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2020-08-20 19:13:37 UTC
SUSE-RU-2020:2284-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (important)
Bug References: 1010996,1071152,1071390,1154871,1174673,973042
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    ca-certificates-mozilla-2.42-4.26.1
SUSE Linux Enterprise Server 15-LTSS (src):    ca-certificates-mozilla-2.42-4.26.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    ca-certificates-mozilla-2.42-4.26.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ca-certificates-mozilla-2.42-4.26.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ca-certificates-mozilla-2.42-4.26.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2020-08-21 19:15:16 UTC
openSUSE-RU-2020:1240-1: An update that has one recommended fix can now be installed.

Category: recommended (important)
Bug References: 1174673
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    ca-certificates-mozilla-2.42-lp152.2.3.1
Comment 8 Swamp Workflow Management 2020-08-23 22:15:03 UTC
openSUSE-RU-2020:1253-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (important)
Bug References: 1010996,1071152,1071390,1154871,1174673,973042
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    ca-certificates-mozilla-2.42-lp151.2.9.1
Comment 9 Swamp Workflow Management 2020-08-26 22:13:59 UTC
openSUSE-RU-2020:1264-1: An update that has 6 recommended fixes can now be installed.

Category: recommended (important)
Bug References: 1010996,1071152,1071390,1154871,1174673,973042
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    ca-certificates-mozilla-2.42-lp152.2.4.2
Comment 10 Swamp Workflow Management 2020-09-02 01:15:35 UTC
SUSE-RU-2020:2428-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1174673
CVE References: 
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE OpenStack Cloud Crowbar 8 (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE OpenStack Cloud 9 (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE OpenStack Cloud 8 (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE OpenStack Cloud 7 (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Linux Enterprise Server 12-SP5 (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    ca-certificates-mozilla-2.42-12.28.1
SUSE Enterprise Storage 5 (src):    ca-certificates-mozilla-2.42-12.28.1
HPE Helion Openstack 8 (src):    ca-certificates-mozilla-2.42-12.28.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2020-09-03 19:13:51 UTC
SUSE-RU-2020:14485-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1174673
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    openssl-certs-2.42-0.7.18.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    openssl-certs-2.42-0.7.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Gabriele Sonnu 2022-04-14 15:28:37 UTC
Done.